summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLuca Longinotti <chtekk@gentoo.org>2006-01-17 22:45:09 +0000
committerLuca Longinotti <chtekk@gentoo.org>2006-01-17 22:45:09 +0000
commita880ba6a14bd3ae5dc741405e816606ac90947ae (patch)
tree32b06564d0d7ad7a3e4c283c31fde6b126933032 /eclass/php5_0-sapi.eclass
parentvice version bump (diff)
downloadgentoo-2-a880ba6a14bd3ae5dc741405e816606ac90947ae.tar.gz
gentoo-2-a880ba6a14bd3ae5dc741405e816606ac90947ae.tar.bz2
gentoo-2-a880ba6a14bd3ae5dc741405e816606ac90947ae.zip
Sync with overlay.
Diffstat (limited to 'eclass/php5_0-sapi.eclass')
-rw-r--r--eclass/php5_0-sapi.eclass8
1 files changed, 6 insertions, 2 deletions
diff --git a/eclass/php5_0-sapi.eclass b/eclass/php5_0-sapi.eclass
index b6a2537f9782..f65eaa1757ef 100644
--- a/eclass/php5_0-sapi.eclass
+++ b/eclass/php5_0-sapi.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/php5_0-sapi.eclass,v 1.11 2006/01/10 18:38:06 chtekk Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/php5_0-sapi.eclass,v 1.12 2006/01/17 22:41:28 chtekk Exp $
#
# ########################################################################
#
@@ -259,6 +259,7 @@ php5_0-sapi_src_unpack() {
# Patch PHP to support heimdal instead of mit-krb5
if has_version "app-crypt/heimdal" ; then
sed -e "s|gssapi_krb5|gssapi|g" -i acinclude.m4 || die "Failed to fix heimdal libname"
+ sed -e 's|PHP_ADD_LIBRARY(k5crypto, 1, $1)||g' -i acinclude.m4 || die "Failed to fix heimdal crypt lib"
fi
# Patch for PostgreSQL support
@@ -266,6 +267,9 @@ php5_0-sapi_src_unpack() {
sed -e 's|include/postgresql|include/postgresql include/postgresql/pgsql|g' -i ext/pgsql/config.m4 || die "Failed to fix PostgreSQL include paths"
fi
+ # Disable interactive make test
+ sed -e 's/'`echo "\!getenv('NO_INTERACTION')"`'/false/g' -i run-tests.php
+
# Patch for session persistence bug
epatch "${FILESDIR}/5.0-any/php5-soap_persistence_session.diff"
@@ -347,7 +351,7 @@ php5_0-sapi_src_compile() {
enable_extension_with "gettext" "nls" 1
enable_extension_with "gmp" "gmp" 1
enable_extension_with "hwapi" "hyperwave-api" 1
- enable_extension_without "iconv" "iconv" 1
+ enable_extension_without "iconv" "iconv" 0
enable_extension_with "informix" "informix" 1
enable_extension_disable "ipv6" "ipv6" 0
# ircg extension not supported on Gentoo at this time